### org.jfree.layouting.input.style.selectors

# Class SelectorWeight

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.SelectorWeight`

Implemented Interfaces:
  Comparable, Serializable

`public final class SelectorWeight`
`extends java.lang.Object`
`implements Comparable, Serializable`

Creation-Date: 05.12.2005, 19:39:58

Author:
  Thomas Morgner

  ## Constructor Summary

  `SelectorWeight(int styleAttribute, int idCount, int attributeCount, int elementCount)`

  `SelectorWeight(SelectorWeight parent, int styleAttribute, int idCount, int attributeCount, int elementCount)`

  `SelectorWeight(SelectorWeight first, SelectorWeight second)`

  ## Method Summary

  `int`

  `compareTo(Object o)`

  `boolean`

  `equals(Object o)`

  `int`

  `hashCode()`

  `String`

  `toString()`

## Constructor Details

### SelectorWeight

    public SelectorWeight(int styleAttribute,
                          int idCount,
                          int attributeCount,
                          int elementCount)

### SelectorWeight

    public SelectorWeight(SelectorWeight parent,
                          int styleAttribute,
                          int idCount,
                          int attributeCount,
                          int elementCount)

### SelectorWeight

    public SelectorWeight(SelectorWeight first,
                          SelectorWeight second)

## Method Details

### compareTo

    public int compareTo(Object o)

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

### toString

    public String toString()